> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cula.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a sink



## OpenAPI

````yaml /openapi.json get /sinks/{id}
openapi: 3.1.0
info:
  title: Cula Tracking API
  version: 0.3.10
servers:
  - url: https://api.demo.cula.earth/tracking/v1
security: []
tags:
  - name: Organisations
    description: ''
  - name: Sites
    description: ''
  - name: Machines
    description: ''
  - name: Machine Variables
    description: ''
  - name: Machine Data Imports
    description: ''
  - name: Delivery Configs
    description: ''
  - name: Deliveries
    description: ''
  - name: Material Sourcing Configs
    description: ''
  - name: Material Sourcings
    description: ''
  - name: Material Conversion Configs
    description: ''
  - name: Material Conversions
    description: ''
  - name: Material Utilization Configs
    description: ''
  - name: Material Utilizations
    description: ''
  - name: Material Batches
    description: ''
  - name: Material Pools
    description: ''
  - name: Material Containers
    description: ''
  - name: Sinks
    description: ''
  - name: Documents
    description: ''
  - name: Webhooks
    description: ''
paths:
  /sinks/{id}:
    get:
      tags:
        - Sinks
      summary: Get a sink
      parameters:
        - name: Cula-Organisation-Id
          in: header
          description: >-
            ID of the organisation the request operates on behalf of (e.g.
            `org_...`). Must be an organisation the API client has access to.
          required: true
          schema:
            type: string
            example: org_01k83mfmhgchya944v86ryvhpq
        - name: id
          required: true
          in: path
          schema:
            type: string
            example: snk_01kpb4n7arexs9cjf0ffmdtjry
      responses:
        '200':
          description: Sink with tracking steps
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSinkResponse'
        '400':
          description: Invalid request payload or parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: bad_request
                message: The field limit must not be greater than 100.
        '401':
          description: Missing or invalid access token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: unauthorized
                message: Invalid or expired token
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: not_found
                message: >-
                  Resource with ID xyz_01k56g7aec6dt5zrtamc72vw446 could not be
                  found.
        '500':
          description: Unexpected server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: internal_server_error
                message: Internal server error.
      security:
        - AccessToken: []
components:
  schemas:
    GetSinkResponse:
      type: object
      properties:
        id:
          type: string
          example: snk_01kpb4n7arexs9cjf0ffmdtjry
        owner_organisation_id:
          type: string
          example: org_01k83mfmhgchya944v86ryvhpq
        public_url:
          type: string
          format: uri
          description: Public URL to view the sink on the Cula Carbon Hub.
          example: https://hub.cula.earth/globe/sink?id=snk_01kpb4n7arexs9cjf0ffmdtjry
        tracked_gross_co2e_removal_in_kg:
          type: number
          minimum: 0
          example: 6000.5
        tracked_net_co2e_removal_in_kg:
          type: number
          minimum: 0
          example: 5874.3
        verified_net_co2e_removal_in_kg:
          type: number
          minimum: 0
          nullable: true
          example: 5874.3
        registry_reference:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/RegistryReference'
        confirmation_document_id:
          type: string
          example: doc_01kw9grq4tecva35wdpstzcj5z
          nullable: true
        verified_at:
          type: string
          nullable: true
          format: date-time
          description: >-
            The day the removal was verified by the registry. Day-granular, so
            the time component is always midnight UTC.
          example: '2025-10-10T00:00:00Z'
        created_at:
          type: string
          format: date-time
          example: '2025-10-10T21:03:58Z'
        material_application_tracking_step_id:
          type: string
          example: stp_01kvv8692rjmch08b3e7hgdx3h
        tracking_steps:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/DeliveryTrackingStep'
                title: Delivery
              - $ref: '#/components/schemas/MaterialCreationTrackingStep'
                title: Material Creation
              - $ref: '#/components/schemas/MaterialProcessingTrackingStep'
                title: Material Processing
              - $ref: '#/components/schemas/MaterialApplicationTrackingStep'
                title: Material Application
            discriminator:
              propertyName: type
              mapping:
                delivery:
                  $ref: '#/components/schemas/DeliveryTrackingStep'
                material_creation:
                  $ref: '#/components/schemas/MaterialCreationTrackingStep'
                material_processing:
                  $ref: '#/components/schemas/MaterialProcessingTrackingStep'
                material_application:
                  $ref: '#/components/schemas/MaterialApplicationTrackingStep'
      required:
        - id
        - owner_organisation_id
        - public_url
        - tracked_gross_co2e_removal_in_kg
        - tracked_net_co2e_removal_in_kg
        - verified_net_co2e_removal_in_kg
        - registry_reference
        - confirmation_document_id
        - verified_at
        - created_at
        - material_application_tracking_step_id
        - tracking_steps
    Error:
      type: object
      properties:
        code:
          type: string
          example: bad_request
        message:
          type: string
          example: The field limit must not be greater than 100.
      required:
        - code
        - message
    RegistryReference:
      type: object
      properties:
        registry_type:
          example: csi
          allOf:
            - $ref: '#/components/schemas/RegistryType'
        id:
          type: string
          nullable: true
          example: '1234'
        url:
          type: string
          format: uri
          nullable: true
          example: https://example.com?id=1234
      required:
        - registry_type
        - id
        - url
    DeliveryTrackingStep:
      type: object
      properties:
        id:
          type: string
          example: stp_01k2rkq2yav2zev1b6f2ngzkqv
        previous_step_ids:
          type: array
          items:
            type: string
            example: xxx_01kwbp54c7fetvvct89ayajq31
        document_ids:
          type: array
          items:
            type: string
            example: xxx_01kwbp54c7fetvvct89ayajq31
          description: IDs of public documents attached to this step as evidence.
        contribution_factor:
          type: number
          description: Fraction used to apportion emissions.
          example: 1
        created_at:
          type: string
          format: date-time
          example: '2025-10-10T21:03:58Z'
        type:
          type: string
          enum:
            - delivery
        source_site_id:
          type: string
          example: ste_01k4ns532ex9pqr73mk97ph7jw
        target_site_id:
          type: string
          example: ste_01kncbmwc6ehhd7as62a8ezp1g
        transported_weight_in_kg:
          type: number
          minimum: 0
          example: 2100
        transportation_distance_in_km:
          type: number
          minimum: 0
          example: 42
        transported_material_amounts:
          type: array
          items:
            $ref: '#/components/schemas/MaterialAmount'
      required:
        - id
        - previous_step_ids
        - document_ids
        - contribution_factor
        - created_at
        - type
        - source_site_id
        - target_site_id
        - transported_weight_in_kg
        - transportation_distance_in_km
        - transported_material_amounts
    MaterialCreationTrackingStep:
      type: object
      properties:
        id:
          type: string
          example: stp_01k2rkq2yav2zev1b6f2ngzkqv
        previous_step_ids:
          type: array
          items:
            type: string
            example: xxx_01kwbp54c7fetvvct89ayajq31
        document_ids:
          type: array
          items:
            type: string
            example: xxx_01kwbp54c7fetvvct89ayajq31
          description: IDs of public documents attached to this step as evidence.
        contribution_factor:
          type: number
          description: Fraction used to apportion emissions.
          example: 1
        created_at:
          type: string
          format: date-time
          example: '2025-10-10T21:03:58Z'
        type:
          type: string
          enum:
            - material_creation
        site_id:
          type: string
          example: ste_01k8g7aec6dt5zrtamc72ww446
        output_material_amounts:
          type: array
          items:
            $ref: '#/components/schemas/MaterialAmount'
      required:
        - id
        - previous_step_ids
        - document_ids
        - contribution_factor
        - created_at
        - type
        - site_id
        - output_material_amounts
    MaterialProcessingTrackingStep:
      type: object
      properties:
        id:
          type: string
          example: stp_01k2rkq2yav2zev1b6f2ngzkqv
        previous_step_ids:
          type: array
          items:
            type: string
            example: xxx_01kwbp54c7fetvvct89ayajq31
        document_ids:
          type: array
          items:
            type: string
            example: xxx_01kwbp54c7fetvvct89ayajq31
          description: IDs of public documents attached to this step as evidence.
        contribution_factor:
          type: number
          description: Fraction used to apportion emissions.
          example: 1
        created_at:
          type: string
          format: date-time
          example: '2025-10-10T21:03:58Z'
        type:
          type: string
          enum:
            - material_processing
        site_id:
          type: string
          example: ste_01k4ns532ex9pqr73mk97ph7jw
        input_material_amounts:
          type: array
          items:
            $ref: '#/components/schemas/MaterialAmount'
        output_material_amounts:
          type: array
          items:
            $ref: '#/components/schemas/MaterialAmount'
      required:
        - id
        - previous_step_ids
        - document_ids
        - contribution_factor
        - created_at
        - type
        - site_id
        - input_material_amounts
        - output_material_amounts
    MaterialApplicationTrackingStep:
      type: object
      properties:
        id:
          type: string
          example: stp_01k2rkq2yav2zev1b6f2ngzkqv
        previous_step_ids:
          type: array
          items:
            type: string
            example: xxx_01kwbp54c7fetvvct89ayajq31
        document_ids:
          type: array
          items:
            type: string
            example: xxx_01kwbp54c7fetvvct89ayajq31
          description: IDs of public documents attached to this step as evidence.
        contribution_factor:
          type: number
          description: Fraction used to apportion emissions.
          example: 1
        created_at:
          type: string
          format: date-time
          example: '2025-10-10T21:03:58Z'
        type:
          type: string
          enum:
            - material_application
        site_id:
          type: string
          example: ste_01kncbmwc6ehhd7as62a8ezp1g
        input_material_amounts:
          type: array
          items:
            $ref: '#/components/schemas/MaterialAmount'
        application_description:
          type: string
          example: Agricultural soil
        end_user_name:
          type: string
          example: Poll GbR
      required:
        - id
        - previous_step_ids
        - document_ids
        - contribution_factor
        - created_at
        - type
        - site_id
        - input_material_amounts
        - application_description
        - end_user_name
    RegistryType:
      type: string
      enum:
        - csi
        - puro
        - isometric
        - rainbow
        - internal
    MaterialAmount:
      type: object
      properties:
        material_name:
          type: string
          example: EBC AgroBio
        weight_in_kg:
          type: number
          minimum: 0
          example: 600
      required:
        - material_name
        - weight_in_kg
  securitySchemes:
    AccessToken:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://auth.demo.cula.earth/oauth2/token
          scopes: {}
      description: >-
        OAuth 2.0 client credentials. Exchange your client_id and client_secret
        for an access token scoped to the organisation that provides data
        access.

````